- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::UnitOutputManager Class Reference

A class for handling data output, including headers. More...

`#include <bit_manager.h>`

List of all members.

## Public Member Functions
| UnitOutputManager (std::ostream *out_data)
| Constructor.
| ~UnitOutputManager ()
| Destructor.
BasicOutputManager & | Header ()
| Handles the header bits.
BasicOutputManager & | Data ()
| Handles the data bits.
const size_t | GetUnitBytes () const
| Returns the total number of bytes written in the last unit coded.
const size_t | GetUnitHeaderBytes () const
| Returns the total number of header bytes written in the last unit coded.
## Friends
class | FrameOutputManager

## Detailed Description

A class for handling data output, including headers.

A class for handling data output, including headers and reordering.

Definition at line 196 of file bit_manager.h.

## Constructor & Destructor Documentation

UnitOutputManager::UnitOutputManager | ( | std::ostream * | out_data | ) |

| Constructor. Constructor wraps around a pointer to an ostream object, and initialises two BasicOutputManager objects for header and data Definition at line 155 of file bit_manager.cpp.

## Member Function Documentation

BasicOutputManager& dirac::UnitOutputManager::Data | ( |  | ) | `[inline]`

| Handles the data bits. A BasicOutputManager object for handling the data bits. Definition at line 226 of file bit_manager.h. Referenced by dirac::FrameCompressor::Compress(), and dirac::CompCompressor::Compress().

const size_t dirac::UnitOutputManager::GetUnitBytes | ( |  | ) | const`[inline]`

| Returns the total number of bytes written in the last unit coded. Returns the total number of bytes written in the last unit coded - header + data. Definition at line 232 of file bit_manager.h.

BasicOutputManager& dirac::UnitOutputManager::Header | ( |  | ) | `[inline]`

| Handles the header bits. A BasicOutputManager object for handling the header bits. Definition at line 220 of file bit_manager.h. Referenced by dirac::FrameCompressor::Compress(), and dirac::CompCompressor::Compress().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/bit_manager.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/bit_manager.cpp